Get My Profile
curl --request POST \
--url https://api.linkupapi.com/v1/profile/me \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"country": "<string>",
"login_token": "<string>"
}
'import requests
url = "https://api.linkupapi.com/v1/profile/me"
payload = {
"country": "<string>",
"login_token": "<string>"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({country: '<string>', login_token: '<string>'})
};
fetch('https://api.linkupapi.com/v1/profile/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkupapi.com/v1/profile/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'country' => '<string>',
'login_token' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linkupapi.com/v1/profile/me"
payload := strings.NewReader("{\n \"country\": \"<string>\",\n \"login_token\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.linkupapi.com/v1/profile/me")
.header("x-api-key", "<x-api-key>")
.header("Content-Type", "application/json")
.body("{\n \"country\": \"<string>\",\n \"login_token\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkupapi.com/v1/profile/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<x-api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"country\": \"<string>\",\n \"login_token\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"public_id": "ales-prw-aa0262324",
"first_name": "Ales",
"last_name": "Prw",
"headline": "I am building the API that allows automating any action on LinkedIn",
"location": "France",
"summary": "",
"industry": "Technologie, information et Internet",
"experience": [
{
"company": "Linkup API",
"title": "Chef des operations de vente",
"description": "",
"start_date": "2/2024",
"end_date": ""
}
],
"education": [
{
"school": "Audencia",
"degree": "",
"field_of_study": "",
"start_date": "2023",
"end_date": "2028"
}
],
"skills": [],
"profile_picture_url": "https://media.licdn.com/dms/image/v2/D4E35AQHM55HVRsX2EQ/profile-framedphoto-shrink_800_800/B4EZVxtoULHUAk-/0/1741369542263?e=1744149600&v=beta&t=p-clL5GlL8k1XUFNIx0NgBnegAJv8eckGUG_c2cZrFg",
"email": "[email protected]",
"phone": "",
"website": "",
"connection_count": 330
}
}
{
"status": "error",
"message": "LinkedIn cookie invalid or expired"
}
Profile Management
Get My Profile
Retrieve your own LinkedIn profile information
POST
/
v1
/
profile
/
me
Get My Profile
curl --request POST \
--url https://api.linkupapi.com/v1/profile/me \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"country": "<string>",
"login_token": "<string>"
}
'import requests
url = "https://api.linkupapi.com/v1/profile/me"
payload = {
"country": "<string>",
"login_token": "<string>"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({country: '<string>', login_token: '<string>'})
};
fetch('https://api.linkupapi.com/v1/profile/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkupapi.com/v1/profile/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'country' => '<string>',
'login_token' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linkupapi.com/v1/profile/me"
payload := strings.NewReader("{\n \"country\": \"<string>\",\n \"login_token\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.linkupapi.com/v1/profile/me")
.header("x-api-key", "<x-api-key>")
.header("Content-Type", "application/json")
.body("{\n \"country\": \"<string>\",\n \"login_token\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkupapi.com/v1/profile/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<x-api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"country\": \"<string>\",\n \"login_token\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"public_id": "ales-prw-aa0262324",
"first_name": "Ales",
"last_name": "Prw",
"headline": "I am building the API that allows automating any action on LinkedIn",
"location": "France",
"summary": "",
"industry": "Technologie, information et Internet",
"experience": [
{
"company": "Linkup API",
"title": "Chef des operations de vente",
"description": "",
"start_date": "2/2024",
"end_date": ""
}
],
"education": [
{
"school": "Audencia",
"degree": "",
"field_of_study": "",
"start_date": "2023",
"end_date": "2028"
}
],
"skills": [],
"profile_picture_url": "https://media.licdn.com/dms/image/v2/D4E35AQHM55HVRsX2EQ/profile-framedphoto-shrink_800_800/B4EZVxtoULHUAk-/0/1741369542263?e=1744149600&v=beta&t=p-clL5GlL8k1XUFNIx0NgBnegAJv8eckGUG_c2cZrFg",
"email": "[email protected]",
"phone": "",
"website": "",
"connection_count": 330
}
}
{
"status": "error",
"message": "LinkedIn cookie invalid or expired"
}
Get comprehensive information about your own LinkedIn profile using your authentication cookie.
This endpoint costs 1 credit per request. Ignore this if you’re on per-seat pricing: usage is unlimited.
Header Parameters
Body Parameters
Country code for proxy selection. Available: US, CA, MX, CR, BR, AR, CL, CO, FR, UK, DE, NL, ES, IT, PT, BE, CH, AT, IE, SE, DK, FI, LT, LV, EE, PL, CZ, SK, HU, RO, UA, SI, HR, RS, AL, GR, CY, TR, IL, AE, EG, ZA, IN, PK, BD, JP, SG, MY, ID, TH, PH, AU
Response
Show Properties
Show Properties
{
"status": "success",
"data": {
"public_id": "ales-prw-aa0262324",
"first_name": "Ales",
"last_name": "Prw",
"headline": "I am building the API that allows automating any action on LinkedIn",
"location": "France",
"summary": "",
"industry": "Technologie, information et Internet",
"experience": [
{
"company": "Linkup API",
"title": "Chef des operations de vente",
"description": "",
"start_date": "2/2024",
"end_date": ""
}
],
"education": [
{
"school": "Audencia",
"degree": "",
"field_of_study": "",
"start_date": "2023",
"end_date": "2028"
}
],
"skills": [],
"profile_picture_url": "https://media.licdn.com/dms/image/v2/D4E35AQHM55HVRsX2EQ/profile-framedphoto-shrink_800_800/B4EZVxtoULHUAk-/0/1741369542263?e=1744149600&v=beta&t=p-clL5GlL8k1XUFNIx0NgBnegAJv8eckGUG_c2cZrFg",
"email": "[email protected]",
"phone": "",
"website": "",
"connection_count": 330
}
}
{
"status": "error",
"message": "LinkedIn cookie invalid or expired"
}
Notes
- This endpoint returns the same comprehensive profile data format as the
/v1/profile/infoendpoint - Fields may be empty strings when information is not available
- Experience and education arrays may be empty when no entries exist
- The response includes all your profile information, formatted in a consistent structure with other profile endpoints
- This endpoint is useful for validating your login token and retrieving your own profile data
Was this page helpful?